
I had just been baptized and was very happy. I was on a honeymoon, so to speak, with Jesus.

I got a horrible flu and was home alone in bed feeling so sick that I wondered if I was dying. The thought that I might be dying overwhelmed me with joy because I believed if I died, I would go straight into the arms of Jesus. I lay there feeling sicker than I ever have and ever have since but at the same time so happy that I'd soon be with the Lord. Within that time, I felt myself rise up from the bed and reach all the way to the ceiling. I was astonished to see my body on my bed! I was in awe that I could see how everything looked from that perspective. The night stands, the alarm clock, the chair, the entry to the bathroom. Then I felt myself turning to the doorway of the bedroom and slowly floating out into the hallway and down the hall all the while very close to, almost touching, and the ceiling. At the end of the hallway, there was the front door to the left and the den to the right. I was still marveling at how I could see everything from up there. The thought occurred to me that I might just go straight out the front door and up to where? I wasn't sure. Then the thought occurred to me that I wasn't supposed to be doing that. So I turned myself around and floated back down the hallway and into the bedroom. I don't remember floating back down into my body. Just looking down on it and then I was back in my body in the bed.
